io.vertx.reactivex.redis.client

## Class Command

- java.lang.Object
- - io.vertx.reactivex.redis.client.Command

-     public class Command
      extends Object

  Auto generated API Commands to interact with REDIS.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Command>` | `__TYPE_ARG`
    `static Command` | `ACL`
    `static Command` | `APPEND`
    `static Command` | `ASKING`
    `static Command` | `AUTH`
    `static Command` | `BF_ADD`
    `static Command` | `BF_CARD`
    `static Command` | `BF_DEBUG`
    `static Command` | `BF_EXISTS`
    `static Command` | `BF_INFO`
    `static Command` | `BF_INSERT`
    `static Command` | `BF_LOADCHUNK`
    `static Command` | `BF_MADD`
    `static Command` | `BF_MEXISTS`
    `static Command` | `BF_RESERVE`
    `static Command` | `BF_SCANDUMP`
    `static Command` | `BGREWRITEAOF`
    `static Command` | `BGSAVE`
    `static Command` | `BITCOUNT`
    `static Command` | `BITFIELD`
    `static Command` | `BITFIELD_RO`
    `static Command` | `BITOP`
    `static Command` | `BITPOS`
    `static Command` | `BLMOVE`
    `static Command` | `BLMPOP`
    `static Command` | `BLPOP`
    `static Command` | `BRPOP`
    `static Command` | `BRPOPLPUSH`
    `static Command` | `BZMPOP`
    `static Command` | `BZPOPMAX`
    `static Command` | `BZPOPMIN`
    `static Command` | `CF_ADD`
    `static Command` | `CF_ADDNX`
    `static Command` | `CF_COMPACT`
    `static Command` | `CF_COUNT`
    `static Command` | `CF_DEBUG`
    `static Command` | `CF_DEL`
    `static Command` | `CF_EXISTS`
    `static Command` | `CF_INFO`
    `static Command` | `CF_INSERT`
    `static Command` | `CF_INSERTNX`
    `static Command` | `CF_LOADCHUNK`
    `static Command` | `CF_MEXISTS`
    `static Command` | `CF_RESERVE`
    `static Command` | `CF_SCANDUMP`
    `static Command` | `CLIENT`
    `static Command` | `CLUSTER`
    `static Command` | `CMS_INCRBY`
    `static Command` | `CMS_INFO`
    `static Command` | `CMS_INITBYDIM`
    `static Command` | `CMS_INITBYPROB`
    `static Command` | `CMS_MERGE`
    `static Command` | `CMS_QUERY`
    `static Command` | `COMMAND`
    `static Command` | `CONFIG`
    `static Command` | `COPY`
    `static Command` | `DBSIZE`
    `static Command` | `DEBUG`
    `static Command` | `DECR`
    `static Command` | `DECRBY`
    `static Command` | `DEL`
    `static Command` | `DISCARD`
    `static Command` | `DUMP`
    `static Command` | `ECHO`
    `static Command` | `EVAL`
    `static Command` | `EVAL_RO`
    `static Command` | `EVALSHA`
    `static Command` | `EVALSHA_RO`
    `static Command` | `EXEC`
    `static Command` | `EXISTS`
    `static Command` | `EXPIRE`
    `static Command` | `EXPIREAT`
    `static Command` | `EXPIRETIME`
    `static Command` | `FAILOVER`
    `static Command` | `FCALL`
    `static Command` | `FCALL_RO`
    `static Command` | `FLUSHALL`
    `static Command` | `FLUSHDB`
    `static Command` | `FT__ALIASADDIFNX`
    `static Command` | `FT__ALIASDELIFX`
    `static Command` | `FT__ALTERIFNX`
    `static Command` | `FT__CREATEIFNX`
    `static Command` | `FT__DROPIFX`
    `static Command` | `FT__DROPINDEXIFX`
    `static Command` | `FT__LIST`
    `static Command` | `FT_ADD`
    `static Command` | `FT_AGGREGATE`
    `static Command` | `FT_ALIASADD`
    `static Command` | `FT_ALIASDEL`
    `static Command` | `FT_ALIASUPDATE`
    `static Command` | `FT_ALTER`
    `static Command` | `FT_CONFIG`
    `static Command` | `FT_CREATE`
    `static Command` | `FT_CURSOR`
    `static Command` | `FT_DEBUG`
    `static Command` | `FT_DEL`
    `static Command` | `FT_DICTADD`
    `static Command` | `FT_DICTDEL`
    `static Command` | `FT_DICTDUMP`
    `static Command` | `FT_DROP`
    `static Command` | `FT_DROPINDEX`
    `static Command` | `FT_EXPLAIN`
    `static Command` | `FT_EXPLAINCLI`
    `static Command` | `FT_GET`
    `static Command` | `FT_INFO`
    `static Command` | `FT_MGET`
    `static Command` | `FT_PROFILE`
    `static Command` | `FT_SAFEADD`
    `static Command` | `FT_SEARCH`
    `static Command` | `FT_SPELLCHECK`
    `static Command` | `FT_SUGADD`
    `static Command` | `FT_SUGDEL`
    `static Command` | `FT_SUGGET`
    `static Command` | `FT_SUGLEN`
    `static Command` | `FT_SYNADD`
    `static Command` | `FT_SYNDUMP`
    `static Command` | `FT_SYNUPDATE`
    `static Command` | `FT_TAGVALS`
    `static Command` | `FUNCTION`
    `static Command` | `GEOADD`
    `static Command` | `GEODIST`
    `static Command` | `GEOHASH`
    `static Command` | `GEOPOS`
    `static Command` | `GEORADIUS`
    `static Command` | `GEORADIUS_RO`
    `static Command` | `GEORADIUSBYMEMBER`
    `static Command` | `GEORADIUSBYMEMBER_RO`
    `static Command` | `GEOSEARCH`
    `static Command` | `GEOSEARCHSTORE`
    `static Command` | `GET`
    `static Command` | `GETBIT`
    `static Command` | `GETDEL`
    `static Command` | `GETEX`
    `static Command` | `GETRANGE`
    `static Command` | `GETSET`
    `static Command` | `GRAPH_BULK`
    `static Command` | `GRAPH_CONFIG`
    `static Command` | `GRAPH_DEBUG`
    `static Command` | `GRAPH_DELETE`
    `static Command` | `GRAPH_EXPLAIN`
    `static Command` | `GRAPH_LIST`
    `static Command` | `GRAPH_PROFILE`
    `static Command` | `GRAPH_QUERY`
    `static Command` | `GRAPH_RO_QUERY`
    `static Command` | `GRAPH_SLOWLOG`
    `static Command` | `HDEL`
    `static Command` | `HELLO`
    `static Command` | `HEXISTS`
    `static Command` | `HGET`
    `static Command` | `HGETALL`
    `static Command` | `HINCRBY`
    `static Command` | `HINCRBYFLOAT`
    `static Command` | `HKEYS`
    `static Command` | `HLEN`
    `static Command` | `HMGET`
    `static Command` | `HMSET`
    `static Command` | `HRANDFIELD`
    `static Command` | `HSCAN`
    `static Command` | `HSET`
    `static Command` | `HSETNX`
    `static Command` | `HSTRLEN`
    `static Command` | `HVALS`
    `static Command` | `INCR`
    `static Command` | `INCRBY`
    `static Command` | `INCRBYFLOAT`
    `static Command` | `INFO`
    `static Command` | `JSON_ARRAPPEND`
    `static Command` | `JSON_ARRINDEX`
    `static Command` | `JSON_ARRINSERT`
    `static Command` | `JSON_ARRLEN`
    `static Command` | `JSON_ARRPOP`
    `static Command` | `JSON_ARRTRIM`
    `static Command` | `JSON_CLEAR`
    `static Command` | `JSON_DEBUG`
    `static Command` | `JSON_DEL`
    `static Command` | `JSON_FORGET`
    `static Command` | `JSON_GET`
    `static Command` | `JSON_MGET`
    `static Command` | `JSON_NUMINCRBY`
    `static Command` | `JSON_NUMMULTBY`
    `static Command` | `JSON_NUMPOWBY`
    `static Command` | `JSON_OBJKEYS`
    `static Command` | `JSON_OBJLEN`
    `static Command` | `JSON_RESP`
    `static Command` | `JSON_SET`
    `static Command` | `JSON_STRAPPEND`
    `static Command` | `JSON_STRLEN`
    `static Command` | `JSON_TOGGLE`
    `static Command` | `JSON_TYPE`
    `static Command` | `KEYS`
    `static Command` | `LASTSAVE`
    `static Command` | `LATENCY`
    `static Command` | `LCS`
    `static Command` | `LINDEX`
    `static Command` | `LINSERT`
    `static Command` | `LLEN`
    `static Command` | `LMOVE`
    `static Command` | `LMPOP`
    `static Command` | `LOLWUT`
    `static Command` | `LPOP`
    `static Command` | `LPOS`
    `static Command` | `LPUSH`
    `static Command` | `LPUSHX`
    `static Command` | `LRANGE`
    `static Command` | `LREM`
    `static Command` | `LSET`
    `static Command` | `LTRIM`
    `static Command` | `MEMORY`
    `static Command` | `MGET`
    `static Command` | `MIGRATE`
    `static Command` | `MODULE`
    `static Command` | `MONITOR`
    `static Command` | `MOVE`
    `static Command` | `MSET`
    `static Command` | `MSETNX`
    `static Command` | `MULTI`
    `static Command` | `OBJECT`
    `static Command` | `PERSIST`
    `static Command` | `PEXPIRE`
    `static Command` | `PEXPIREAT`
    `static Command` | `PEXPIRETIME`
    `static Command` | `PFADD`
    `static Command` | `PFCOUNT`
    `static Command` | `PFDEBUG`
    `static Command` | `PFMERGE`
    `static Command` | `PFSELFTEST`
    `static Command` | `PING`
    `static Command` | `PSETEX`
    `static Command` | `PSUBSCRIBE`
    `static Command` | `PSYNC`
    `static Command` | `PTTL`
    `static Command` | `PUBLISH`
    `static Command` | `PUBSUB`
    `static Command` | `PUNSUBSCRIBE`
    `static Command` | `QUIT`
    `static Command` | `RANDOMKEY`
    `static Command` | `READONLY`
    `static Command` | `READWRITE`
    `static Command` | `RENAME`
    `static Command` | `RENAMENX`
    `static Command` | `REPLCONF`
    `static Command` | `REPLICAOF`
    `static Command` | `RESET`
    `static Command` | `RESTORE`
    `static Command` | `RESTORE_ASKING`
    `static Command` | `ROLE`
    `static Command` | `RPOP`
    `static Command` | `RPOPLPUSH`
    `static Command` | `RPUSH`
    `static Command` | `RPUSHX`
    `static Command` | `SADD`
    `static Command` | `SAVE`
    `static Command` | `SCAN`
    `static Command` | `SCARD`
    `static Command` | `SCRIPT`
    `static Command` | `SDIFF`
    `static Command` | `SDIFFSTORE`
    `static Command` | `SELECT`
    `static Command` | `SENTINEL`
    `static Command` | `SET`
    `static Command` | `SETBIT`
    `static Command` | `SETEX`
    `static Command` | `SETNX`
    `static Command` | `SETRANGE`
    `static Command` | `SHUTDOWN`
    `static Command` | `SINTER`
    `static Command` | `SINTERCARD`
    `static Command` | `SINTERSTORE`
    `static Command` | `SISMEMBER`
    `static Command` | `SLAVEOF`
    `static Command` | `SLOWLOG`
    `static Command` | `SMEMBERS`
    `static Command` | `SMISMEMBER`
    `static Command` | `SMOVE`
    `static Command` | `SORT`
    `static Command` | `SORT_RO`
    `static Command` | `SPOP`
    `static Command` | `SPUBLISH`
    `static Command` | `SRANDMEMBER`
    `static Command` | `SREM`
    `static Command` | `SSCAN`
    `static Command` | `SSUBSCRIBE`
    `static Command` | `STRLEN`
    `static Command` | `SUBSCRIBE`
    `static Command` | `SUBSTR`
    `static Command` | `SUNION`
    `static Command` | `SUNIONSTORE`
    `static Command` | `SUNSUBSCRIBE`
    `static Command` | `SWAPDB`
    `static Command` | `SYNC`
    `static Command` | `TDIGEST_ADD`
    `static Command` | `TDIGEST_BYRANK`
    `static Command` | `TDIGEST_BYREVRANK`
    `static Command` | `TDIGEST_CDF`
    `static Command` | `TDIGEST_CREATE`
    `static Command` | `TDIGEST_INFO`
    `static Command` | `TDIGEST_MAX`
    `static Command` | `TDIGEST_MERGE`
    `static Command` | `TDIGEST_MIN`
    `static Command` | `TDIGEST_QUANTILE`
    `static Command` | `TDIGEST_RANK`
    `static Command` | `TDIGEST_RESET`
    `static Command` | `TDIGEST_REVRANK`
    `static Command` | `TDIGEST_TRIMMED_MEAN`
    `static Command` | `TIME`
    `static Command` | `TIMESERIES_CLUSTERSET`
    `static Command` | `TIMESERIES_CLUSTERSETFROMSHARD`
    `static Command` | `TIMESERIES_HELLO`
    `static Command` | `TIMESERIES_INFOCLUSTER`
    `static Command` | `TIMESERIES_INNERCOMMUNICATION`
    `static Command` | `TIMESERIES_NETWORKTEST`
    `static Command` | `TIMESERIES_REFRESHCLUSTER`
    `static Command` | `TOPK_ADD`
    `static Command` | `TOPK_COUNT`
    `static Command` | `TOPK_INCRBY`
    `static Command` | `TOPK_INFO`
    `static Command` | `TOPK_LIST`
    `static Command` | `TOPK_QUERY`
    `static Command` | `TOPK_RESERVE`
    `static Command` | `TOUCH`
    `static Command` | `TS_ADD`
    `static Command` | `TS_ALTER`
    `static Command` | `TS_CREATE`
    `static Command` | `TS_CREATERULE`
    `static Command` | `TS_DECRBY`
    `static Command` | `TS_DEL`
    `static Command` | `TS_DELETERULE`
    `static Command` | `TS_GET`
    `static Command` | `TS_INCRBY`
    `static Command` | `TS_INFO`
    `static Command` | `TS_MADD`
    `static Command` | `TS_MGET`
    `static Command` | `TS_MRANGE`
    `static Command` | `TS_MREVRANGE`
    `static Command` | `TS_QUERYINDEX`
    `static Command` | `TS_RANGE`
    `static Command` | `TS_REVRANGE`
    `static Command` | `TTL`
    `static Command` | `TYPE`
    `static Command` | `UNLINK`
    `static Command` | `UNSUBSCRIBE`
    `static Command` | `UNWATCH`
    `static Command` | `WAIT`
    `static Command` | `WATCH`
    `static Command` | `XACK`
    `static Command` | `XADD`
    `static Command` | `XAUTOCLAIM`
    `static Command` | `XCLAIM`
    `static Command` | `XDEL`
    `static Command` | `XGROUP`
    `static Command` | `XINFO`
    `static Command` | `XLEN`
    `static Command` | `XPENDING`
    `static Command` | `XRANGE`
    `static Command` | `XREAD`
    `static Command` | `XREADGROUP`
    `static Command` | `XREVRANGE`
    `static Command` | `XSETID`
    `static Command` | `XTRIM`
    `static Command` | `ZADD`
    `static Command` | `ZCARD`
    `static Command` | `ZCOUNT`
    `static Command` | `ZDIFF`
    `static Command` | `ZDIFFSTORE`
    `static Command` | `ZINCRBY`
    `static Command` | `ZINTER`
    `static Command` | `ZINTERCARD`
    `static Command` | `ZINTERSTORE`
    `static Command` | `ZLEXCOUNT`
    `static Command` | `ZMPOP`
    `static Command` | `ZMSCORE`
    `static Command` | `ZPOPMAX`
    `static Command` | `ZPOPMIN`
    `static Command` | `ZRANDMEMBER`
    `static Command` | `ZRANGE`
    `static Command` | `ZRANGEBYLEX`
    `static Command` | `ZRANGEBYSCORE`
    `static Command` | `ZRANGESTORE`
    `static Command` | `ZRANK`
    `static Command` | `ZREM`
    `static Command` | `ZREMRANGEBYLEX`
    `static Command` | `ZREMRANGEBYRANK`
    `static Command` | `ZREMRANGEBYSCORE`
    `static Command` | `ZREVRANGE`
    `static Command` | `ZREVRANGEBYLEX`
    `static Command` | `ZREVRANGEBYSCORE`
    `static Command` | `ZREVRANK`
    `static Command` | `ZSCAN`
    `static Command` | `ZSCORE`
    `static Command` | `ZUNION`
    `static Command` | `ZUNIONSTORE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Command(Command delegate)`
    `Command(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Command` | `create(String command)` Generic command generator for extensions.
    `boolean` | `equals(Object o)`
    `Command` | `getDelegate()`
    `int` | `hashCode()`
    `static Command` | `newInstance(Command arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Command> __TYPE_ARG

    - #### ACL

          public static final Command ACL

    - #### APPEND

          public static final Command APPEND

    - #### ASKING

          public static final Command ASKING

    - #### AUTH

          public static final Command AUTH

    - #### BF_ADD

          public static final Command BF_ADD

    - #### BF_CARD

          public static final Command BF_CARD

    - #### BF_DEBUG

          public static final Command BF_DEBUG

    - #### BF_EXISTS

          public static final Command BF_EXISTS

    - #### BF_INFO

          public static final Command BF_INFO

    - #### BF_INSERT

          public static final Command BF_INSERT

    - #### BF_LOADCHUNK

          public static final Command BF_LOADCHUNK

    - #### BF_MADD

          public static final Command BF_MADD

    - #### BF_MEXISTS

          public static final Command BF_MEXISTS

    - #### BF_RESERVE

          public static final Command BF_RESERVE

    - #### BF_SCANDUMP

          public static final Command BF_SCANDUMP

    - #### BGREWRITEAOF

          public static final Command BGREWRITEAOF

    - #### BGSAVE

          public static final Command BGSAVE

    - #### BITCOUNT

          public static final Command BITCOUNT

    - #### BITFIELD

          public static final Command BITFIELD

    - #### BITFIELD_RO

          public static final Command BITFIELD_RO

    - #### BITOP

          public static final Command BITOP

    - #### BITPOS

          public static final Command BITPOS

    - #### BLMOVE

          public static final Command BLMOVE

    - #### BLMPOP

          public static final Command BLMPOP

    - #### BLPOP

          public static final Command BLPOP

    - #### BRPOP

          public static final Command BRPOP

    - #### BRPOPLPUSH

          public static final Command BRPOPLPUSH

    - #### BZMPOP

          public static final Command BZMPOP

    - #### BZPOPMAX

          public static final Command BZPOPMAX

    - #### BZPOPMIN

          public static final Command BZPOPMIN

    - #### CF_ADD

          public static final Command CF_ADD

    - #### CF_ADDNX

          public static final Command CF_ADDNX

    - #### CF_COMPACT

          public static final Command CF_COMPACT

    - #### CF_COUNT

          public static final Command CF_COUNT

    - #### CF_DEBUG

          public static final Command CF_DEBUG

    - #### CF_DEL

          public static final Command CF_DEL

    - #### CF_EXISTS

          public static final Command CF_EXISTS

    - #### CF_INFO

          public static final Command CF_INFO

    - #### CF_INSERT

          public static final Command CF_INSERT

    - #### CF_INSERTNX

          public static final Command CF_INSERTNX

    - #### CF_LOADCHUNK

          public static final Command CF_LOADCHUNK

    - #### CF_MEXISTS

          public static final Command CF_MEXISTS

    - #### CF_RESERVE

          public static final Command CF_RESERVE

    - #### CF_SCANDUMP

          public static final Command CF_SCANDUMP

    - #### CLIENT

          public static final Command CLIENT

    - #### CLUSTER

          public static final Command CLUSTER

    - #### CMS_INCRBY

          public static final Command CMS_INCRBY

    - #### CMS_INFO

          public static final Command CMS_INFO

    - #### CMS_INITBYDIM

          public static final Command CMS_INITBYDIM

    - #### CMS_INITBYPROB

          public static final Command CMS_INITBYPROB

    - #### CMS_MERGE

          public static final Command CMS_MERGE

    - #### CMS_QUERY

          public static final Command CMS_QUERY

    - #### COMMAND

          public static final Command COMMAND

    - #### CONFIG

          public static final Command CONFIG

    - #### COPY

          public static final Command COPY

    - #### DBSIZE

          public static final Command DBSIZE

    - #### DEBUG

          public static final Command DEBUG

    - #### DECR

          public static final Command DECR

    - #### DECRBY

          public static final Command DECRBY

    - #### DEL

          public static final Command DEL

    - #### DISCARD

          public static final Command DISCARD

    - #### DUMP

          public static final Command DUMP

    - #### ECHO

          public static final Command ECHO

    - #### EVAL

          public static final Command EVAL

    - #### EVALSHA

          public static final Command EVALSHA

    - #### EVALSHA_RO

          public static final Command EVALSHA_RO

    - #### EVAL_RO

          public static final Command EVAL_RO

    - #### EXEC

          public static final Command EXEC

    - #### EXISTS

          public static final Command EXISTS

    - #### EXPIRE

          public static final Command EXPIRE

    - #### EXPIREAT

          public static final Command EXPIREAT

    - #### EXPIRETIME

          public static final Command EXPIRETIME

    - #### FAILOVER

          public static final Command FAILOVER

    - #### FCALL

          public static final Command FCALL

    - #### FCALL_RO

          public static final Command FCALL_RO

    - #### FLUSHALL

          public static final Command FLUSHALL

    - #### FLUSHDB

          public static final Command FLUSHDB

    - #### FT_ADD

          public static final Command FT_ADD

    - #### FT_AGGREGATE

          public static final Command FT_AGGREGATE

    - #### FT_ALIASADD

          public static final Command FT_ALIASADD

    - #### FT_ALIASDEL

          public static final Command FT_ALIASDEL

    - #### FT_ALIASUPDATE

          public static final Command FT_ALIASUPDATE

    - #### FT_ALTER

          public static final Command FT_ALTER

    - #### FT_CONFIG

          public static final Command FT_CONFIG

    - #### FT_CREATE

          public static final Command FT_CREATE

    - #### FT_CURSOR

          public static final Command FT_CURSOR

    - #### FT_DEBUG

          public static final Command FT_DEBUG

    - #### FT_DEL

          public static final Command FT_DEL

    - #### FT_DICTADD

          public static final Command FT_DICTADD

    - #### FT_DICTDEL

          public static final Command FT_DICTDEL

    - #### FT_DICTDUMP

          public static final Command FT_DICTDUMP

    - #### FT_DROP

          public static final Command FT_DROP

    - #### FT_DROPINDEX

          public static final Command FT_DROPINDEX

    - #### FT_EXPLAIN

          public static final Command FT_EXPLAIN

    - #### FT_EXPLAINCLI

          public static final Command FT_EXPLAINCLI

    - #### FT_GET

          public static final Command FT_GET

    - #### FT_INFO

          public static final Command FT_INFO

    - #### FT_MGET

          public static final Command FT_MGET

    - #### FT_PROFILE

          public static final Command FT_PROFILE

    - #### FT_SAFEADD

          public static final Command FT_SAFEADD

    - #### FT_SEARCH

          public static final Command FT_SEARCH

    - #### FT_SPELLCHECK

          public static final Command FT_SPELLCHECK

    - #### FT_SUGADD

          public static final Command FT_SUGADD

    - #### FT_SUGDEL

          public static final Command FT_SUGDEL

    - #### FT_SUGGET

          public static final Command FT_SUGGET

    - #### FT_SUGLEN

          public static final Command FT_SUGLEN

    - #### FT_SYNADD

          public static final Command FT_SYNADD

    - #### FT_SYNDUMP

          public static final Command FT_SYNDUMP

    - #### FT_SYNUPDATE

          public static final Command FT_SYNUPDATE

    - #### FT_TAGVALS

          public static final Command FT_TAGVALS

    - #### FT__ALIASADDIFNX

          public static final Command FT__ALIASADDIFNX

    - #### FT__ALIASDELIFX

          public static final Command FT__ALIASDELIFX

    - #### FT__ALTERIFNX

          public static final Command FT__ALTERIFNX

    - #### FT__CREATEIFNX

          public static final Command FT__CREATEIFNX

    - #### FT__DROPIFX

          public static final Command FT__DROPIFX

    - #### FT__DROPINDEXIFX

          public static final Command FT__DROPINDEXIFX

    - #### FT__LIST

          public static final Command FT__LIST

    - #### FUNCTION

          public static final Command FUNCTION

    - #### GEOADD

          public static final Command GEOADD

    - #### GEODIST

          public static final Command GEODIST

    - #### GEOHASH

          public static final Command GEOHASH

    - #### GEOPOS

          public static final Command GEOPOS

    - #### GEORADIUS

          public static final Command GEORADIUS

    - #### GEORADIUSBYMEMBER

          public static final Command GEORADIUSBYMEMBER

    - #### GEORADIUSBYMEMBER_RO

          public static final Command GEORADIUSBYMEMBER_RO

    - #### GEORADIUS_RO

          public static final Command GEORADIUS_RO

    - #### GEOSEARCH

          public static final Command GEOSEARCH

    - #### GEOSEARCHSTORE

          public static final Command GEOSEARCHSTORE

    - #### GET

          public static final Command GET

    - #### GETBIT

          public static final Command GETBIT

    - #### GETDEL

          public static final Command GETDEL

    - #### GETEX

          public static final Command GETEX

    - #### GETRANGE

          public static final Command GETRANGE

    - #### GETSET

          public static final Command GETSET

    - #### GRAPH_BULK

          public static final Command GRAPH_BULK

    - #### GRAPH_CONFIG

          public static final Command GRAPH_CONFIG

    - #### GRAPH_DEBUG

          public static final Command GRAPH_DEBUG

    - #### GRAPH_DELETE

          public static final Command GRAPH_DELETE

    - #### GRAPH_EXPLAIN

          public static final Command GRAPH_EXPLAIN

    - #### GRAPH_LIST

          public static final Command GRAPH_LIST

    - #### GRAPH_PROFILE

          public static final Command GRAPH_PROFILE

    - #### GRAPH_QUERY

          public static final Command GRAPH_QUERY

    - #### GRAPH_RO_QUERY

          public static final Command GRAPH_RO_QUERY

    - #### GRAPH_SLOWLOG

          public static final Command GRAPH_SLOWLOG

    - #### HDEL

          public static final Command HDEL

    - #### HELLO

          public static final Command HELLO

    - #### HEXISTS

          public static final Command HEXISTS

    - #### HGET

          public static final Command HGET

    - #### HGETALL

          public static final Command HGETALL

    - #### HINCRBY

          public static final Command HINCRBY

    - #### HINCRBYFLOAT

          public static final Command HINCRBYFLOAT

    - #### HKEYS

          public static final Command HKEYS

    - #### HLEN

          public static final Command HLEN

    - #### HMGET

          public static final Command HMGET

    - #### HMSET

          public static final Command HMSET

    - #### HRANDFIELD

          public static final Command HRANDFIELD

    - #### HSCAN

          public static final Command HSCAN

    - #### HSET

          public static final Command HSET

    - #### HSETNX

          public static final Command HSETNX

    - #### HSTRLEN

          public static final Command HSTRLEN

    - #### HVALS

          public static final Command HVALS

    - #### INCR

          public static final Command INCR

    - #### INCRBY

          public static final Command INCRBY

    - #### INCRBYFLOAT

          public static final Command INCRBYFLOAT

    - #### INFO

          public static final Command INFO

    - #### JSON_ARRAPPEND

          public static final Command JSON_ARRAPPEND

    - #### JSON_ARRINDEX

          public static final Command JSON_ARRINDEX

    - #### JSON_ARRINSERT

          public static final Command JSON_ARRINSERT

    - #### JSON_ARRLEN

          public static final Command JSON_ARRLEN

    - #### JSON_ARRPOP

          public static final Command JSON_ARRPOP

    - #### JSON_ARRTRIM

          public static final Command JSON_ARRTRIM

    - #### JSON_CLEAR

          public static final Command JSON_CLEAR

    - #### JSON_DEBUG

          public static final Command JSON_DEBUG

    - #### JSON_DEL

          public static final Command JSON_DEL

    - #### JSON_FORGET

          public static final Command JSON_FORGET

    - #### JSON_GET

          public static final Command JSON_GET

    - #### JSON_MGET

          public static final Command JSON_MGET

    - #### JSON_NUMINCRBY

          public static final Command JSON_NUMINCRBY

    - #### JSON_NUMMULTBY

          public static final Command JSON_NUMMULTBY

    - #### JSON_NUMPOWBY

          public static final Command JSON_NUMPOWBY

    - #### JSON_OBJKEYS

          public static final Command JSON_OBJKEYS

    - #### JSON_OBJLEN

          public static final Command JSON_OBJLEN

    - #### JSON_RESP

          public static final Command JSON_RESP

    - #### JSON_SET

          public static final Command JSON_SET

    - #### JSON_STRAPPEND

          public static final Command JSON_STRAPPEND

    - #### JSON_STRLEN

          public static final Command JSON_STRLEN

    - #### JSON_TOGGLE

          public static final Command JSON_TOGGLE

    - #### JSON_TYPE

          public static final Command JSON_TYPE

    - #### KEYS

          public static final Command KEYS

    - #### LASTSAVE

          public static final Command LASTSAVE

    - #### LATENCY

          public static final Command LATENCY

    - #### LCS

          public static final Command LCS

    - #### LINDEX

          public static final Command LINDEX

    - #### LINSERT

          public static final Command LINSERT

    - #### LLEN

          public static final Command LLEN

    - #### LMOVE

          public static final Command LMOVE

    - #### LMPOP

          public static final Command LMPOP

    - #### LOLWUT

          public static final Command LOLWUT

    - #### LPOP

          public static final Command LPOP

    - #### LPOS

          public static final Command LPOS

    - #### LPUSH

          public static final Command LPUSH

    - #### LPUSHX

          public static final Command LPUSHX

    - #### LRANGE

          public static final Command LRANGE

    - #### LREM

          public static final Command LREM

    - #### LSET

          public static final Command LSET

    - #### LTRIM

          public static final Command LTRIM

    - #### MEMORY

          public static final Command MEMORY

    - #### MGET

          public static final Command MGET

    - #### MIGRATE

          public static final Command MIGRATE

    - #### MODULE

          public static final Command MODULE

    - #### MONITOR

          public static final Command MONITOR

    - #### MOVE

          public static final Command MOVE

    - #### MSET

          public static final Command MSET

    - #### MSETNX

          public static final Command MSETNX

    - #### MULTI

          public static final Command MULTI

    - #### OBJECT

          public static final Command OBJECT

    - #### PERSIST

          public static final Command PERSIST

    - #### PEXPIRE

          public static final Command PEXPIRE

    - #### PEXPIREAT

          public static final Command PEXPIREAT

    - #### PEXPIRETIME

          public static final Command PEXPIRETIME

    - #### PFADD

          public static final Command PFADD

    - #### PFCOUNT

          public static final Command PFCOUNT

    - #### PFDEBUG

          public static final Command PFDEBUG

    - #### PFMERGE

          public static final Command PFMERGE

    - #### PFSELFTEST

          public static final Command PFSELFTEST

    - #### PING

          public static final Command PING

    - #### PSETEX

          public static final Command PSETEX

    - #### PSUBSCRIBE

          public static final Command PSUBSCRIBE

    - #### PSYNC

          public static final Command PSYNC

    - #### PTTL

          public static final Command PTTL

    - #### PUBLISH

          public static final Command PUBLISH

    - #### PUBSUB

          public static final Command PUBSUB

    - #### PUNSUBSCRIBE

          public static final Command PUNSUBSCRIBE

    - #### QUIT

          public static final Command QUIT

    - #### RANDOMKEY

          public static final Command RANDOMKEY

    - #### READONLY

          public static final Command READONLY

    - #### READWRITE

          public static final Command READWRITE

    - #### RENAME

          public static final Command RENAME

    - #### RENAMENX

          public static final Command RENAMENX

    - #### REPLCONF

          public static final Command REPLCONF

    - #### REPLICAOF

          public static final Command REPLICAOF

    - #### RESET

          public static final Command RESET

    - #### RESTORE

          public static final Command RESTORE

    - #### RESTORE_ASKING

          public static final Command RESTORE_ASKING

    - #### ROLE

          public static final Command ROLE

    - #### RPOP

          public static final Command RPOP

    - #### RPOPLPUSH

          public static final Command RPOPLPUSH

    - #### RPUSH

          public static final Command RPUSH

    - #### RPUSHX

          public static final Command RPUSHX

    - #### SADD

          public static final Command SADD

    - #### SAVE

          public static final Command SAVE

    - #### SCAN

          public static final Command SCAN

    - #### SCARD

          public static final Command SCARD

    - #### SCRIPT

          public static final Command SCRIPT

    - #### SDIFF

          public static final Command SDIFF

    - #### SDIFFSTORE

          public static final Command SDIFFSTORE

    - #### SELECT

          public static final Command SELECT

    - #### SET

          public static final Command SET

    - #### SETBIT

          public static final Command SETBIT

    - #### SETEX

          public static final Command SETEX

    - #### SETNX

          public static final Command SETNX

    - #### SETRANGE

          public static final Command SETRANGE

    - #### SHUTDOWN

          public static final Command SHUTDOWN

    - #### SINTER

          public static final Command SINTER

    - #### SINTERCARD

          public static final Command SINTERCARD

    - #### SINTERSTORE

          public static final Command SINTERSTORE

    - #### SISMEMBER

          public static final Command SISMEMBER

    - #### SLAVEOF

          public static final Command SLAVEOF

    - #### SLOWLOG

          public static final Command SLOWLOG

    - #### SMEMBERS

          public static final Command SMEMBERS

    - #### SMISMEMBER

          public static final Command SMISMEMBER

    - #### SMOVE

          public static final Command SMOVE

    - #### SORT

          public static final Command SORT

    - #### SORT_RO

          public static final Command SORT_RO

    - #### SPOP

          public static final Command SPOP

    - #### SPUBLISH

          public static final Command SPUBLISH

    - #### SRANDMEMBER

          public static final Command SRANDMEMBER

    - #### SREM

          public static final Command SREM

    - #### SSCAN

          public static final Command SSCAN

    - #### SSUBSCRIBE

          public static final Command SSUBSCRIBE

    - #### STRLEN

          public static final Command STRLEN

    - #### SUBSCRIBE

          public static final Command SUBSCRIBE

    - #### SUBSTR

          public static final Command SUBSTR

    - #### SUNION

          public static final Command SUNION

    - #### SUNIONSTORE

          public static final Command SUNIONSTORE

    - #### SUNSUBSCRIBE

          public static final Command SUNSUBSCRIBE

    - #### SWAPDB

          public static final Command SWAPDB

    - #### SYNC

          public static final Command SYNC

    - #### TDIGEST_ADD

          public static final Command TDIGEST_ADD

    - #### TDIGEST_BYRANK

          public static final Command TDIGEST_BYRANK

    - #### TDIGEST_BYREVRANK

          public static final Command TDIGEST_BYREVRANK

    - #### TDIGEST_CDF

          public static final Command TDIGEST_CDF

    - #### TDIGEST_CREATE

          public static final Command TDIGEST_CREATE

    - #### TDIGEST_INFO

          public static final Command TDIGEST_INFO

    - #### TDIGEST_MAX

          public static final Command TDIGEST_MAX

    - #### TDIGEST_MERGE

          public static final Command TDIGEST_MERGE

    - #### TDIGEST_MIN

          public static final Command TDIGEST_MIN

    - #### TDIGEST_QUANTILE

          public static final Command TDIGEST_QUANTILE

    - #### TDIGEST_RANK

          public static final Command TDIGEST_RANK

    - #### TDIGEST_RESET

          public static final Command TDIGEST_RESET

    - #### TDIGEST_REVRANK

          public static final Command TDIGEST_REVRANK

    - #### TDIGEST_TRIMMED_MEAN

          public static final Command TDIGEST_TRIMMED_MEAN

    - #### TIME

          public static final Command TIME

    - #### TIMESERIES_CLUSTERSET

          public static final Command TIMESERIES_CLUSTERSET

    - #### TIMESERIES_CLUSTERSETFROMSHARD

          public static final Command TIMESERIES_CLUSTERSETFROMSHARD

    - #### TIMESERIES_HELLO

          public static final Command TIMESERIES_HELLO

    - #### TIMESERIES_INFOCLUSTER

          public static final Command TIMESERIES_INFOCLUSTER

    - #### TIMESERIES_INNERCOMMUNICATION

          public static final Command TIMESERIES_INNERCOMMUNICATION

    - #### TIMESERIES_NETWORKTEST

          public static final Command TIMESERIES_NETWORKTEST

    - #### TIMESERIES_REFRESHCLUSTER

          public static final Command TIMESERIES_REFRESHCLUSTER

    - #### TOPK_ADD

          public static final Command TOPK_ADD

    - #### TOPK_COUNT

          public static final Command TOPK_COUNT

    - #### TOPK_INCRBY

          public static final Command TOPK_INCRBY

    - #### TOPK_INFO

          public static final Command TOPK_INFO

    - #### TOPK_LIST

          public static final Command TOPK_LIST

    - #### TOPK_QUERY

          public static final Command TOPK_QUERY

    - #### TOPK_RESERVE

          public static final Command TOPK_RESERVE

    - #### TOUCH

          public static final Command TOUCH

    - #### TS_ADD

          public static final Command TS_ADD

    - #### TS_ALTER

          public static final Command TS_ALTER

    - #### TS_CREATE

          public static final Command TS_CREATE

    - #### TS_CREATERULE

          public static final Command TS_CREATERULE

    - #### TS_DECRBY

          public static final Command TS_DECRBY

    - #### TS_DEL

          public static final Command TS_DEL

    - #### TS_DELETERULE

          public static final Command TS_DELETERULE

    - #### TS_GET

          public static final Command TS_GET

    - #### TS_INCRBY

          public static final Command TS_INCRBY

    - #### TS_INFO

          public static final Command TS_INFO

    - #### TS_MADD

          public static final Command TS_MADD

    - #### TS_MGET

          public static final Command TS_MGET

    - #### TS_MRANGE

          public static final Command TS_MRANGE

    - #### TS_MREVRANGE

          public static final Command TS_MREVRANGE

    - #### TS_QUERYINDEX

          public static final Command TS_QUERYINDEX

    - #### TS_RANGE

          public static final Command TS_RANGE

    - #### TS_REVRANGE

          public static final Command TS_REVRANGE

    - #### TTL

          public static final Command TTL

    - #### TYPE

          public static final Command TYPE

    - #### UNLINK

          public static final Command UNLINK

    - #### UNSUBSCRIBE

          public static final Command UNSUBSCRIBE

    - #### UNWATCH

          public static final Command UNWATCH

    - #### WAIT

          public static final Command WAIT

    - #### WATCH

          public static final Command WATCH

    - #### XACK

          public static final Command XACK

    - #### XADD

          public static final Command XADD

    - #### XAUTOCLAIM

          public static final Command XAUTOCLAIM

    - #### XCLAIM

          public static final Command XCLAIM

    - #### XDEL

          public static final Command XDEL

    - #### XGROUP

          public static final Command XGROUP

    - #### XINFO

          public static final Command XINFO

    - #### XLEN

          public static final Command XLEN

    - #### XPENDING

          public static final Command XPENDING

    - #### XRANGE

          public static final Command XRANGE

    - #### XREAD

          public static final Command XREAD

    - #### XREADGROUP

          public static final Command XREADGROUP

    - #### XREVRANGE

          public static final Command XREVRANGE

    - #### XSETID

          public static final Command XSETID

    - #### XTRIM

          public static final Command XTRIM

    - #### ZADD

          public static final Command ZADD

    - #### ZCARD

          public static final Command ZCARD

    - #### ZCOUNT

          public static final Command ZCOUNT

    - #### ZDIFF

          public static final Command ZDIFF

    - #### ZDIFFSTORE

          public static final Command ZDIFFSTORE

    - #### ZINCRBY

          public static final Command ZINCRBY

    - #### ZINTER

          public static final Command ZINTER

    - #### ZINTERCARD

          public static final Command ZINTERCARD

    - #### ZINTERSTORE

          public static final Command ZINTERSTORE

    - #### ZLEXCOUNT

          public static final Command ZLEXCOUNT

    - #### ZMPOP

          public static final Command ZMPOP

    - #### ZMSCORE

          public static final Command ZMSCORE

    - #### ZPOPMAX

          public static final Command ZPOPMAX

    - #### ZPOPMIN

          public static final Command ZPOPMIN

    - #### ZRANDMEMBER

          public static final Command ZRANDMEMBER

    - #### ZRANGE

          public static final Command ZRANGE

    - #### ZRANGEBYLEX

          public static final Command ZRANGEBYLEX

    - #### ZRANGEBYSCORE

          public static final Command ZRANGEBYSCORE

    - #### ZRANGESTORE

          public static final Command ZRANGESTORE

    - #### ZRANK

          public static final Command ZRANK

    - #### ZREM

          public static final Command ZREM

    - #### ZREMRANGEBYLEX

          public static final Command ZREMRANGEBYLEX

    - #### ZREMRANGEBYRANK

          public static final Command ZREMRANGEBYRANK

    - #### ZREMRANGEBYSCORE

          public static final Command ZREMRANGEBYSCORE

    - #### ZREVRANGE

          public static final Command ZREVRANGE

    - #### ZREVRANGEBYLEX

          public static final Command ZREVRANGEBYLEX

    - #### ZREVRANGEBYSCORE

          public static final Command ZREVRANGEBYSCORE

    - #### ZREVRANK

          public static final Command ZREVRANK

    - #### ZSCAN

          public static final Command ZSCAN

    - #### ZSCORE

          public static final Command ZSCORE

    - #### ZUNION

          public static final Command ZUNION

    - #### ZUNIONSTORE

          public static final Command ZUNIONSTORE

    - #### SENTINEL

          public static final Command SENTINEL

  - ### Constructor Detail

    - #### Command

          public Command(Command delegate)

    - #### Command

          public Command(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Command getDelegate()

    - #### create

          public static Command create(String command)

      Generic command generator for extensions.

      To avoid inconsistent behavior, when `command` is one of the known commands for which a static instance exists, the static instance is returned.

      Parameters:
        `command` - command name
      Returns:
        the cacheable immutable command instance

    - #### newInstance

          public static Command newInstance(Command arg)

Copyright © 2024 Eclipse. All rights reserved.